Get Vvf Task Status

Get Vvf Task Status
Get the status of a task

Get the status of a task

Request
URI
GET
https://{api_host}/suite-api/api/integrations/services/password-management/{serviceKey}/tasks/{taskId}
COPY
Path Parameters
string
serviceKey
Required  

Service key for which task status needs to be retrieved

string
taskId
Required  

Task ID for which status needs to be retrieved


Authentication
This operation uses the following authentication methods.
Responses
200

Task status response

Returns VvfTaskStatusResponse of type(s) application/json
"{\n  \"id\" : \"8d7c7092-83d7-4f50-a519-03b1636c9cd8\",\n  \"name\" : \"UPDATE_VVF\",\n  \"status\" : \"SUCCEEDED\",\n  \"creationTimestamp\" : 12345356647777757,\n  \"lastUpdatedTimestamp\" : 123453566477746637,\n  \"message\" : \"Password update succeeded\"\n}"
integer As int64 As int64
creationTimestamp
Optional

Task creation timestamp

string
id
Required  

Task Id

integer As int64 As int64
lastUpdatedTimestamp
Optional

Last updated timestamp

string
message
Optional

Message

string
name
Required  

Task name

string
status
Required  

Task status

Enumeration: SUCCEEDED, PENDING, QUEUED, RUNNING, CANCELLED, ERROR, UNKNOWN, FAILED

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/integrations/services/password-management/{serviceKey}/tasks/{taskId}